FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202111041636.p0.git.fc036b5.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202111041636.p0.git.fc036b5.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=fc036b5 OS_GIT_VERSION=4.7.0-202111041636.p0.git.fc036b5.assembly.stream-fc036b5 SOURCE_DATE_EPOCH=1622764562 SOURCE_GIT_COMMIT=fc036b59b83b25ac6d1050aee0a172abb54502c6 SOURCE_GIT_TAG=fc036b59 SOURCE_GIT_URL=https://github.com/openshift/cluster-csi-snapshot-controller-operator 
WORKDIR /go/src/github.com/openshift/cluster-csi-snapshot-controller-operator
COPY . .
ENV GO_PACKAGE github.com/openshift/cluster-csi-snapshot-controller-operator
RUN go build -ldflags "-X $GO_PACKAGE/pkg/version.versionFromGit=$(git describe --long --tags --abbrev=7 --match 'v[0-9]*')" -tags="ocp" -o csi-snapshot-controller-operator ./cmd/csi-snapshot-controller-operator

FROM openshift/ose-base:v4.7.0.20211104.165239
ENV __doozer=update BUILD_RELEASE=202111041636.p0.git.fc036b5.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202111041636.p0.git.fc036b5.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=fc036b5 OS_GIT_VERSION=4.7.0-202111041636.p0.git.fc036b5.assembly.stream-fc036b5 SOURCE_DATE_EPOCH=1622764562 SOURCE_GIT_COMMIT=fc036b59b83b25ac6d1050aee0a172abb54502c6 SOURCE_GIT_TAG=fc036b59 SOURCE_GIT_URL=https://github.com/openshift/cluster-csi-snapshot-controller-operator 
COPY --from=builder /go/src/github.com/openshift/cluster-csi-snapshot-controller-operator/csi-snapshot-controller-operator /usr/bin/
COPY manifests /manifests
COPY vendor/github.com/openshift/api/operator/v1/0000_80_csi_snapshot_controller_operator_01_crd.yaml manifests/01_config.crd.yaml
ENTRYPOINT ["/usr/bin/csi-snapshot-controller-operator"]

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-csi-snapshot-controller-operator" \
        com.redhat.component="ose-cluster-csi-snapshot-controller-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        io.openshift.maintainer.subcomponent="Operators" \
        release="202111041636.p0.git.fc036b5.assembly.stream" \
        io.openshift.build.commit.id="fc036b59b83b25ac6d1050aee0a172abb54502c6" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-csi-snapshot-controller-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-csi-snapshot-controller-operator/commit/fc036b59b83b25ac6d1050aee0a172abb54502c6" \
        version="v4.7.0"

